ata_tf_to_host
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_tf_to_host — issue ATA taskfile to host controller

## Synopsis

`void ata_tf_to_host (` | struct ata_port * | ap,
| const struct ata_taskfile * | tf`)`;

## Arguments

`ap`

  port to which command is being issued

`tf`

  ATA taskfile register set

## Description

Issues ATA taskfile register set to ATA host controller, with proper synchronization with interrupt handler and other threads.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_down_xfermask_limit | Home | ata_dev_same_device